"View full metadata" on Mercury search results page doesn't work
Assignee: Robert Waltz % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour
Milestone: CCI-0.5 Story Points:  
Description

Attempting to view the full metadata record on Mercury search results on the CNs fails with file not found error - not clear if this is

simply because the index is out of sync or if there's some changes required in the mercury link to data / metadata retrieval.

History

#1 - 2011-02-04 19:36 - Dave Vieglais

- Assignee changed from Giri Palanisamy to Robert Waltz

#2 - 2011-02-09 18:32 - Dave Vieglais

example of index document that may help with debugging this issue:

http://cn-dev.dataone.org/datanet_solr/select/?q=id%3A[*+TO+*]&version=2.2&start=15&rows=1&indent=on

#3 - 2011-02-09 18:33 - Dave Vieglais

As Matt pointed out, is may be possible to reference the metacat view of the record, eg.:

http://knb-mn.ecoinformatics.org/knb/metacat/jones.359.4/default

so the pattern might be something like:

http://cn.dataone.org/knb/metacat/{IDENTIFIER}/default

#4 - 2011-02-09 18:43 - Matthew Jones

The pattern is:

 http://cn.dataone.org/knb/metacat/{IDENTIFIER}/{DISPLAY_SKIN}

where DISPLAY_SKIN can be one of the installed metacat skins, such as 'default', 'knb', 'nceas', 'esa', 'sanparks',etc.  This key is basically tied to a

set of xslts and css files that are used to create the HTML view from the XML.

Note that the IDENTIFIER has to be the local metacat identifier -- it can't be a DataONE pid unless that pid happens to correspond to the native

metacat identifier format (e.g., jones.1.1).  It would be good to expand this to support arbitrary pids in the future.

#5 - 2011-02-14 23:46 - Dave Vieglais
http://cn-dev.dataone.org/datanet_solr/select/?q=id%3A%5B*+TO+*%5D&version=2.2&start=15&rows=1&indent=on
http://knb-mn.ecoinformatics.org/knb/metacat/jones.359.4/default
http://cn.dataone.org/knb/metacat/%7BIDENTIFIER%7D/default
http://cn.dataone.org/knb/metacat/%7BIDENTIFIER%7D/%7BDISPLAY_SKIN%7D


- Position set to 2

- Target version changed from Sprint-2011.06 to Sprint-2011.07

#6 - 2011-02-18 17:22 - Robert Waltz

- Status changed from New to Closed

- Milestone set to CCI-0.5
